/* You can add global styles to this file, and also import other style files */
@import '~@angular/material/theming';
@import '../../../../libs/shared/scss/indigo-pink.theme';
@import '../../../../libs/shared/scss/teal-teal.theme';
@import './app-theme';
@import './typography';

@include mat-core();

$theme: teal-teal-dark-theme();
@include angular-material-theme($theme);
@include app-theme($theme);

.indigo-pink-light-theme {
  $theme: indigo-pink-light-theme();
  @include angular-material-color($theme);
  @include app-theme($theme);
}

.indigo-pink-dark-theme {
  $theme: indigo-pink-dark-theme();
  @include angular-material-color($theme);
  @include app-theme($theme);
}

.teal-teal-light-theme {
  $theme: teal-teal-light-theme();
  @include angular-material-color($theme);
  @include app-theme($theme);
}

.teal-teal-dark-theme {
  $theme: teal-teal-dark-theme();
  @include angular-material-color($theme);
  @include app-theme($theme);
}
